#' @include dashboardPage.R
#' @include dashboardHeader.R
#' @include dashboardControlbar.R
#' @include dashboardFooter.R
#' @include dashboardBody.R
#' @include dashboardSidebar.R
#' @include cards.R
#' @include render-functions.R
#' @include tabs.R
#' @include useful-items.R
#' @include feedbacks.R
NULL


#' Alias to \link{bs4DashboardPage}
#' See \link{bs4DashboardPage} for full details
#'
#' @rdname dashboardPage
#' @export
dashboardPage <- bs4DashPage




#' Alias to \link{bs4DashNavbar}
#' See \link{bs4DashNavbar} for full details
#'
#' @rdname dashboardHeader
#'
#' @export
dashboardHeader <- bs4DashNavbar




#' Alias to \link{bs4DashBrand}
#' See \link{bs4DashBrand} for full details
#'
#' @rdname dashboardBrand
#'
#' @export
dashboardBrand <- bs4DashBrand



#' Alias to \link{bs4UserMenu}
#' See \link{bs4UserMenu} for full details
#'
#' @rdname dashboardUser
#'
#' @export
dashboardUser <- bs4UserMenu




#' Alias to \link{bs4DropdownMenu}
#' See \link{bs4DropdownMenu} for full details
#'
#' @rdname dropdownMenu
#'
#' @export
dropdownMenu <- bs4DropdownMenu





#' Alias to \link{bs4DashControlbar}
#' See \link{bs4DashControlbar} for full details
#'
#' @rdname dashboardControlbar
#'
#' @export
dashboardControlbar <- bs4DashControlbar






#' Alias to \link{bs4DashFooter}
#' See \link{bs4DashFooter} for full details
#'
#' @rdname dashboardFooter
#'
#' @export
dashboardFooter <- bs4DashFooter





#' Alias to \link{bs4DashSidebar}
#' See \link{bs4DashSidebar} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
dashboardSidebar <- bs4DashSidebar





#' Alias to \link{updatebs4Sidebar}
#' See \link{updatebs4Sidebar} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
updateSidebar <- updatebs4Sidebar




#' Alias to \link{bs4SidebarHeader}
#' See \link{bs4SidebarHeader} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
sidebarHeader <- bs4SidebarHeader





#' Alias to \link{bs4SidebarMenu}
#' See \link{bs4SidebarMenu} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
sidebarMenu <- bs4SidebarMenu





#' Alias to \link{bs4SidebarUserPanel}
#' See \link{bs4SidebarUserPanel} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
sidebarUserPanel <- bs4SidebarUserPanel





#' Alias to \link{bs4SidebarMenuItem}
#' See \link{bs4SidebarMenuItem} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
menuItem <- bs4SidebarMenuItem





#' Alias to \link{bs4SidebarMenuSubItem}
#' See \link{bs4SidebarMenuSubItem} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
menuSubItem <- bs4SidebarMenuSubItem





#' Alias to \link{bs4DashBody}
#' See \link{bs4DashBody} for full details
#'
#' @rdname dashboardBody
#'
#' @export
dashboardBody <- bs4DashBody



#' Alias to \link{bs4TabItems}
#' See \link{bs4TabItems} for full details
#'
#' @rdname dashboardBody
#'
#' @export
tabItems <- bs4TabItems




#' Alias to \link{bs4TabItem}
#' See \link{bs4TabItem} for full details
#'
#' @rdname dashboardBody
#'
#' @export
tabItem <- bs4TabItem






#' Alias to \link{bs4Card}
#' See \link{bs4Card} for full details
#'
#' @rdname box
#'
#' @export
box <- bs4Card




#' Alias to \link{bs4UserCard}
#' See \link{bs4UserCard} for full details
#'
#' @rdname userBox
#'
#' @export
userBox <- bs4UserCard



#' Alias to \link{bs4UserDescription}
#' See \link{bs4UserDescription} for full details
#'
#' @rdname userBox
#'
#' @export
userDescription <- bs4UserDescription




#' Alias to \link{bs4TabCard}
#' See \link{bs4TabCard} for full details
#'
#' @rdname tabBox
#'
#' @export
tabBox <- bs4TabCard





#' Alias to \link{bs4InfoBox}
#' See \link{bs4InfoBox} for full details
#'
#' @rdname infoBox
#'
#' @export
infoBox <- bs4InfoBox





#' Alias to \link{bs4InfoBoxOutput}
#' See \link{bs4InfoBoxOutput} for full details
#'
#' @inheritParams bs4InfoBoxOutput
#' @rdname infoBox
#'
#' @export
infoBoxOutput <- bs4InfoBoxOutput





#' Alias to \link{renderbs4InfoBox}
#' See \link{renderbs4InfoBox} for full details
#'
#' @inheritParams renderbs4InfoBox
#' @rdname infoBox
#'
#' @export
renderInfoBox <- renderbs4InfoBox





#' Alias to \link{bs4ValueBox}
#' See \link{bs4ValueBox} for full details
#'
#' @rdname valueBox
#'
#' @export
valueBox <- bs4ValueBox





#' Alias to \link{bs4ValueBoxOutput}
#' See \link{bs4ValueBoxOutput} for full details
#'
#' @rdname valueBox
#'
#' @export
valueBoxOutput <- bs4ValueBoxOutput





#' Alias to \link{renderbs4ValueBox}
#' See \link{renderbs4ValueBox} for full details
#'
#' @rdname valueBox
#'
#' @export
renderValueBox <- renderbs4ValueBox





#' Alias to \link{updatebs4TabItems}
#' See \link{updatebs4TabItems} for full details
#'
#' @rdname dashboardSidebar
#'
#' @export
updateTabItems <- updatebs4TabItems




#' Alias to \link{bs4CardSidebar}
#' See \link{bs4CardSidebar} for full details
#'
#' @rdname boxSidebar
#'
#' @export
cardSidebar <- bs4CardSidebar




#' Alias to \link{bs4CardSidebar}
#' See \link{bs4CardSidebar} for full details
#'
#' @rdname boxSidebar
#'
#' @export
boxSidebar <- bs4CardSidebar





#' Alias to \link{updatebs4CardSidebar}
#' See \link{updatebs4CardSidebar} for full details
#'
#' @rdname boxSidebar
#'
#' @export
updateCardSidebar <- updatebs4CardSidebar




#' Alias to \link{updatebs4CardSidebar}
#' See \link{updatebs4CardSidebar} for full details
#'
#' @rdname boxSidebar
#'
#' @export
updateBoxSidebar <- updatebs4CardSidebar




#' Alias to \link{updatebs4Card}
#' See \link{updatebs4Card} for full details
#'
#' @rdname box
#'
#' @export
updateCard <- updatebs4Card




#' Alias to \link{updatebs4Card}
#' See \link{updatebs4Card} for full details
#'
#' @rdname box
#'
#' @export
updateBox <- updatebs4Card




#' Alias to \link{cardDropdown}
#' See \link{cardDropdown} for full details
#'
#' @rdname boxDropdown
#'
#' @export
boxDropdown <- cardDropdown




#' Alias to \link{cardDropdownItem}
#' See \link{cardDropdownItem} for full details
#'
#' @rdname boxDropdown
#'
#' @export
boxDropdownItem <- cardDropdownItem




#' Alias to \link{bs4CardLabel}
#' See \link{bs4CardLabel} for full details
#'
#' @rdname boxLabel
#'
#' @export
cardLabel <- bs4CardLabel




#' Alias to \link{bs4CardLabel}
#' See \link{bs4CardLabel} for full details
#'
#' @rdname boxLabel
#'
#' @export
boxLabel <- bs4CardLabel


#' Alias to \link{cardProfile}
#' See \link{cardProfile} for full details
#'
#' @rdname boxProfile
#'
#' @export
boxProfile <- cardProfile




#' Alias to \link{cardProfileItem}
#' See \link{cardProfileItem} for full details
#'
#' @rdname boxProfile
#'
#' @export
boxProfileItem <- cardProfileItem



#' Alias to \link{bs4SocialCard}
#' See \link{bs4SocialCard} for full details
#'
#' @rdname socialBox
#'
#' @export
socialBox <- bs4SocialCard



#' Alias to \link{cardComment}
#' See \link{cardComment} for full details
#'
#' @rdname socialBox
#'
#' @export
boxComment <- cardComment



#' Alias to \link{cardPad}
#' See \link{cardPad} for full details
#'
#' @rdname box
#'
#' @export
boxPad <- cardPad



#' Alias to \link{bs4Stars}
#' See \link{bs4Stars} for full details
#'
#' @rdname stars
#'
#' @export
starBlock <- bs4Stars




#' Alias to \link{bs4Timeline}
#' See \link{bs4Timeline} for full details
#'
#' @rdname timeline
#'
#' @export
timelineBlock <- bs4Timeline




#' Alias to \link{bs4TimelineLabel}
#' See \link{bs4TimelineLabel} for full details
#'
#' @rdname timeline
#'
#' @export
timelineLabel <- bs4TimelineLabel




#' Alias to \link{bs4TimelineItem}
#' See \link{bs4TimelineItem} for full details
#'
#' @rdname timeline
#'
#' @export
timelineItem <- bs4TimelineItem




#' Alias to \link{bs4TimelineItemMedia}
#' See \link{bs4TimelineItemMedia} for full details
#'
#' @rdname timeline
#'
#' @export
timelineItemMedia <- bs4TimelineItemMedia




#' Alias to \link{bs4TimelineStart}
#' See \link{bs4TimelineStart} for full details
#'
#' @rdname timeline
#'
#' @export
timelineStart <- bs4TimelineStart




#' Alias to \link{bs4TimelineEnd}
#' See \link{bs4TimelineEnd} for full details
#'
#' @rdname timeline
#'
#' @export
timelineEnd <- bs4TimelineEnd




#' Alias to \link{bs4Badge}
#' See \link{bs4Badge} for full details
#'
#' @rdname badge
#'
#' @export
dashboardBadge <- bs4Badge



#' Alias to \link{bs4Carousel}
#' See \link{bs4Carousel} for full details
#'
#' @rdname carousel
#'
#' @export
carousel <- bs4Carousel



#' Alias to \link{bs4CarouselItem}
#' See \link{bs4CarouselItem} for full details
#'
#' @rdname carousel
#'
#' @export
carouselItem <- bs4CarouselItem



#' Alias to \link{bs4ProgressBar}
#' See \link{bs4ProgressBar} for full details
#' @rdname progress
#' @export
progressBar <- bs4ProgressBar

#' Alias to \link{bs4ProgressBar}
#' See \link{bs4ProgressBar} for full details
#' @rdname progress
#' @export
multiProgressBar <- bs4MultiProgressBar



#' Alias to \link{bs4Accordion}
#' See \link{bs4Accordion} for full details
#'
#' @rdname accordion
#'
#' @export
accordion <- bs4Accordion



#' Alias to \link{bs4AccordionItem}
#' See \link{bs4AccordionItem} for full details
#'
#' @rdname accordion
#'
#' @export
accordionItem <- bs4AccordionItem





#' Alias to \link{bs4Sortable}
#' See \link{bs4Sortable} for full details
#'
#' @rdname sortable
#'
#' @export
sortable <- bs4Sortable





#' Alias to \link{bs4Quote}
#' See \link{bs4Quote} for full details
#'
#' @rdname quote
#'
#' @export
blockQuote <- bs4Quote




#' Alias to \link{bs4Jumbotron}
#' See \link{bs4Jumbotron} for full details
#'
#' @rdname jumbotron
#'
#' @export
jumbotron <- bs4Jumbotron




#' Alias to \link{bs4ListGroup}
#' See \link{bs4ListGroup} for full details
#'
#' @rdname listgroup
#'
#' @export
listGroup <- bs4ListGroup




#' Alias to \link{bs4ListGroupItem}
#' See \link{bs4ListGroupItem} for full details
#'
#' @rdname listgroup
#'
#' @export
listGroupItem <- bs4ListGroupItem




#' Alias to \link{bs4Callout}
#' See \link{bs4Callout} for full details
#'
#' @rdname callout
#'
#' @export
callout <- bs4Callout





#' Alias to \link{bs4Loading}
#' See \link{bs4Loading} for full details
#'
#' @rdname loading
#'
#' @export
loadingState <- bs4Loading





#' Alias to \link{bs4Ribbon}
#' See \link{bs4Ribbon} for full details
#'
#' @rdname ribbon
#'
#' @export
ribbon <- bs4Ribbon




#' Alias to \link{bs4CardLayout}
#' See \link{bs4CardLayout} for full details
#'
#' @rdname boxLayout
#'
#' @export
boxLayout <- bs4CardLayout